diff -ruN oledrion-2.35_RC1/class/Utility.php oledrion-2.35_RC2/class/Utility.php
--- oledrion-2.35_RC1/class/Utility.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/class/Utility.php	2019-12-15 04:33:00.643765602 -0500
@@ -169,8 +169,6 @@
         $editor_configs['height'] = '400px';
 
         $editor_option = mb_strtolower(static::getModuleOption('editorAdmin'));
-        //        $editor = new \XoopsFormEditor($caption, $editor_option, $editor_configs);
-        //        public function __construct($caption, $name, $configs = null, $nohtml = false, $OnFailure = '')
 
         if ($helper->isUserAdmin()) {
             $editor = new \XoopsFormEditor($caption, $helper->getConfig('editorAdmin'), $editor_configs, $nohtml = false, $onfailure = 'textarea');
@@ -221,7 +219,7 @@
             $proxy_ip = $_SERVER['HTTP_COMING_FROM'];
         }
         $regs = [];
-        //if (!empty($proxy_ip) && $is_ip = ereg('^([0-9]{1,3}\.){3,3}[0-9]{1,3}', $proxy_ip, $regs) && count($regs) > 0) {
+
         if (!empty($proxy_ip) && filter_var($proxy_ip, FILTER_VALIDATE_IP) && count($regs) > 0) {
             $the_IP = $regs[0];
         } else {
@@ -307,7 +305,7 @@
         }
         $res = $xoopsMailer->send();
         unset($xoopsMailer);
-        // B.R. $filename = XOOPS_UPLOAD_PATH . '/logmail_' . static::MODULE_NAME . '.php';
+
         $filename = OLEDRION_UPLOAD_PATH . '/logmail_' . static::MODULE_NAME . '.php';
         if (!file_exists($filename)) {
             $fp = @fopen($filename, 'ab');
@@ -445,7 +443,6 @@
         /** @var \XoopsMemberHandler $memberHandler */
         $memberHandler = xoops_getHandler('member');
         $users         = $memberHandler->getUsersByGroup($groupId, true);
-
         return $users;
     }
 
@@ -458,7 +455,7 @@
      */
     public static function getEmailsFromGroup($groupId)
     {
-        $ret   = [];
+        $ret = [];
         $users = static::getUsersFromGroup($groupId);
         foreach ($users as $user) {
             $ret[] = $user->getVar('email');
@@ -948,7 +945,6 @@
         $content = preg_replace('/[[:punct:]]/i', '', $content);
 
         // Selon option mais attention au fichier .htaccess !
-        // $content = eregi_replace('[[:digit:]]','', $content);
         $content = preg_replace('/[^a-z|A-Z|0-9]/', '-', $content);
 
         $words    = explode(' ', $content);
@@ -1127,7 +1123,6 @@
         $maxWidth = null,
         $maxHeight = null)
     {
-        //        require_once XOOPS_ROOT_PATH . '/class/uploader.php';
         global $destname;
         if (\Xmf\Request::hasVar('xoops_upload_file', 'POST')) {
             require_once XOOPS_ROOT_PATH . '/class/uploader.php';
@@ -1147,7 +1142,6 @@
                     $uploadSize = static::getModuleOption('maxuploadsize');
                 }
                 $uploader = new \XoopsMediaUploader($dstpath, $permittedtypes, $uploadSize, $maxWidth, $maxHeight);
-                //$uploader->allowUnknownTypes = true;
                 $uploader->setTargetFileName($destname);
                 if ($uploader->fetchMedia($_POST['xoops_upload_file'][$indice])) {
                     if ($uploader->upload()) {
@@ -1185,12 +1179,10 @@
         $keep_original = false,
         $fit = 'inside')
     {
-        //        require_once OLEDRION_PATH . 'class/wideimage/WideImage.inc.php';
         $resize = true;
         if (OLEDRION_DONT_RESIZE_IF_SMALLER) {
             if (false === @getimagesize($src_path)) {
                 $message = 'The picture ' . $src_path . ' could not be found and resized.';
-                //                throw new \RuntimeException($message);
                 self::redirect($message);
 
                 return false;
@@ -1450,7 +1442,6 @@
         if (is_array($vats) && in_array($vat_id, $vats)) {
             $vat_rate = $vats[$vat_id];
         } else {
-            //            $handlers = \HandlerManager::getInstance();
             require_once dirname(__DIR__) . '/include/common.php';
             $vat = $vatHandler->get($vat_id);
             if (is_object($vat)) {
diff -ruN oledrion-2.35_RC1/config.php oledrion-2.35_RC2/config.php
--- oledrion-2.35_RC1/config.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/config.php	2019-12-13 14:50:02.067919873 -0500
@@ -44,7 +44,6 @@
     define('OLEDRION_ADMIN_PATH', OLEDRION_PATH . 'admin' . '/');
 
     // Set gateways path
-    //    define('OLEDRION_GATEWAY_PATH', OLEDRION_ADMIN_PATH . 'gateways' . '/');
     define('OLEDRION_GATEWAY_PATH', XOOPS_ROOT_PATH . '/modules/' . $moduleDirName . '/class/Gateways' . '/');
 
     // Set plugin URL and PATH
@@ -96,12 +95,11 @@
     define('OLEDRION_CSV_SEP', ';');
 
     // Gateway log's path (must be writable)
-    // B.R. define('OLEDRION_GATEWAY_LOG_PATH', XOOPS_UPLOAD_PATH . '/oledrion/loggateway_oledrion.php');
     define('OLEDRION_GATEWAY_LOG_PATH', XOOPS_UPLOAD_PATH . '/oledrion/gateway_log.php');
-    // B.R New: Filename of serialized confirmation email parameters
+    // Filename of serialized confirmation email parameters
     define('OLEDRION_CONFIRMATION_EMAIL_FILENAME_SUFFIX', '_conf_email.parms');
 
-    // B.R. New: Absolute path and filename of optional database update script
+    // Absolute path and filename of optional database update script
     // Must be located outside DOCUMENT_ROOT and change permissions to 'rwxr-x--x'
     define('OLEDRION_DB_UPDATE_SCRIPT', '/home/e-smith/files/ibays/rossco/license_server/update_licenseDB.php');
 
diff -ruN oledrion-2.35_RC1/gateway-notify.php oledrion-2.35_RC2/gateway-notify.php
--- oledrion-2.35_RC1/gateway-notify.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/gateway-notify.php	2019-12-13 14:50:01.990951494 -0500
@@ -18,22 +18,25 @@
  */
 
 /**
- * Page appelée par la passerelle de paiement dans le cas de l'utilisation de l'IPN (ou d'une méthode similaire)
- * Dialogue entre le site et la passerelle
+ * Page called by the payment gateway in the case of using IPN (or similar method)
+ * Dialogue between the site and the payment gateway
  */
+
 @error_reporting(0);
 @$xoopsLogger->activated = false;
 require_once __DIR__ . '/header.php';
 @error_reporting(0);
 @$xoopsLogger->activated = false;
-$gateway          = \XoopsModules\Oledrion\Gateways::getCurrentGateway();
+if (!file_exists(OLEDRION_GATEWAY_LOG_PATH)) {
+    file_put_contents(OLEDRION_GATEWAY_LOG_PATH, "<?php exit(); ?>\n", LOCK_EX);
+}
 $temporaryGateway = null;
 $temporaryGateway = \XoopsModules\Oledrion\Gateways::getGatewayObject();
 if (is_object($temporaryGateway)) {
-    if (!file_exists(OLEDRION_GATEWAY_LOG_PATH)) {
-        file_put_contents(OLEDRION_GATEWAY_LOG_PATH, '<?php exit(); ?>', LOCK_EX);
-    }
-    $user_log = $temporaryGateway->gatewayNotify(OLEDRION_GATEWAY_LOG_PATH);
+    $user_log .= $temporaryGateway->gatewayNotify(OLEDRION_GATEWAY_LOG_PATH);
     unset($temporaryGateway);
-    echo $user_log;
+} else {
+    $user_log .= "Could not instantiate Gateway\n";
 }
+file_put_contents(OLEDRION_GATEWAY_LOG_PATH, $user_log, FILE_APPEND | LOCK_EX);
+echo $user_log;
diff -ruN oledrion-2.35_RC1/include/common.php oledrion-2.35_RC2/include/common.php
--- oledrion-2.35_RC1/include/common.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/include/common.php	2019-12-13 14:50:02.066920283 -0500
@@ -21,7 +21,6 @@
 use XoopsModules\Oledrion\Plugins\Models;
 
 require_once dirname(__DIR__) . '/preloads/autoloader.php';
-//require_once  dirname(__DIR__) . '/config.php';
 
 $moduleDirName      = basename(dirname(__DIR__));
 $moduleDirNameUpper = mb_strtoupper($moduleDirName); //$capsDirName
@@ -32,7 +31,6 @@
 $db      = \XoopsDatabaseFactory::getDatabaseConnection();
 $helper  = Oledrion\Helper::getInstance();
 $utility = new Oledrion\Utility();
-//$configurator = new Oledrion\Common\Configurator();
 
 $helper->loadLanguage('common');
 $helper->loadLanguage('main');
@@ -51,48 +49,25 @@
     define($moduleDirNameUpper . '_PLUGINS_PATH', constant($moduleDirNameUpper . '_ROOT_PATH') . '/plugins/');
     define($moduleDirNameUpper . '_ADMIN_URL', constant($moduleDirNameUpper . '_URL') . '/admin/');
     define($moduleDirNameUpper . '_ADMIN_PATH', constant($moduleDirNameUpper . '_ROOT_PATH') . '/admin/');
-    //    define($moduleDirNameUpper . '_PATH', XOOPS_ROOT_PATH . '/modules/' . constant($moduleDirNameUpper . '_DIRNAME'));
     define($moduleDirNameUpper . '_ADMIN', constant($moduleDirNameUpper . '_URL') . '/admin/index.php');
-    //    define($moduleDirNameUpper . '_AUTHOR_LOGOIMG', constant($moduleDirNameUpper . '_URL') . '/assets/images/logoModule.png');
     define($moduleDirNameUpper . '_UPLOAD_URL', XOOPS_UPLOAD_URL . '/' . $moduleDirName); // WITHOUT Trailing slash
     define($moduleDirNameUpper . '_UPLOAD_PATH', XOOPS_UPLOAD_PATH . '/' . $moduleDirName); // WITHOUT Trailing slash
     define($moduleDirNameUpper . '_CACHE_PATH', XOOPS_UPLOAD_PATH . '/' . $moduleDirName . '/' . 'cache/');
     define($moduleDirNameUpper . '_AUTHOR_LOGOIMG', $pathIcon32 . '/xoopsmicrobutton.gif');
     define($moduleDirNameUpper . '_CONSTANTS_DEFINED', 1);
 
-    // Define oledrion URL and PATH
-    //    define('OLEDRION_URL', XOOPS_URL . '/modules/' . OLEDRION_DIRNAME . '/');
-    //    define('OLEDRION_PATH', XOOPS_ROOT_PATH . '/modules/' . OLEDRION_DIRNAME . '/');
-
-    // Set class path
-    //    define('OLEDRION_CLASS_PATH', OLEDRION_PATH . 'class/');
-
-    // Set image , js and css url
-    //    define('OLEDRION_IMAGES_URL', OLEDRION_URL . 'assets/images/');
     define('OLEDRION_JS_URL', OLEDRION_URL . 'assets/js/');
     define('OLEDRION_CSS_URL', OLEDRION_URL . 'assets/css/');
 
-    // Set admin URL and PATH
-    //    define('OLEDRION_ADMIN_URL', OLEDRION_URL . 'admin/');
-    //    define('OLEDRION_ADMIN_PATH', OLEDRION_PATH . 'admin' . '/');
-
     // Set gateways path
     define('OLEDRION_GATEWAY_PATH', XOOPS_ROOT_PATH . '/modules/' . $moduleDirName . '/class/Gateways' . '/');
 
-    // Set plugin URL and PATH
-    //    define('OLEDRION_PLUGINS_PATH', OLEDRION_PATH . 'plugins/');
+    // Set plugin URL
     define('OLEDRION_PLUGINS_URL', OLEDRION_URL . 'plugins/');
 
     // Set text path
     define('OLEDRION_TEXT_PATH', XOOPS_UPLOAD_PATH . '/' . OLEDRION_DIRNAME . '/' . 'text/');
 
-    // Set cache path
-    //    define('OLEDRION_CACHE_PATH', XOOPS_UPLOAD_PATH . '/' . OLEDRION_DIRNAME . '/' . 'cache/');
-
-    // Define here the place where main upload path
-    //    define('OLEDRION_UPLOAD_URL', XOOPS_UPLOAD_URL . '/oledrion'); // WITHOUT Trailing slash
-    //    define('OLEDRION_UPLOAD_PATH', XOOPS_UPLOAD_PATH . '/oledrion'); // WITHOUT Trailing slash
-
     // Define here the place where files attached to products are saved
     define('OLEDRION_ATTACHED_FILES_URL', XOOPS_UPLOAD_URL . '/oledrion/attached'); // WITHOUT Trailing slash
     define('OLEDRION_ATTACHED_FILES_PATH', XOOPS_UPLOAD_PATH . '/oledrion/attached'); // WITHOUT Trailing slash
@@ -124,12 +99,11 @@
     define('OLEDRION_CSV_SEP', ';');
 
     // Gateway log's path (must be writable)
-    // B.R. define('OLEDRION_GATEWAY_LOG_PATH', XOOPS_UPLOAD_PATH . '/oledrion/loggateway_oledrion.php');
     define('OLEDRION_GATEWAY_LOG_PATH', XOOPS_UPLOAD_PATH . '/oledrion/gateway_log.php');
-    // B.R New: Filename of serialized confirmation email parameters
+    // Filename of serialized confirmation email parameters
     define('OLEDRION_CONFIRMATION_EMAIL_FILENAME_SUFFIX', '_conf_email.parms');
 
-    // B.R. New: Absolute path and filename of optional database update script
+    // Absolute path and filename of optional database update script
     // Must be located outside DOCUMENT_ROOT and change permissions to 'rwxr-x--x'
     define('OLEDRION_DB_UPDATE_SCRIPT', '/home/e-smith/files/ibays/rossco/license_server/update_licenseDB.php');
 
@@ -193,29 +167,6 @@
     define('OLEDRION_SMS_GATEWAY', 'example');
 }
 
-//_CACHE_PATH  XOOPS_UPLOAD_PATH . '/' . OLEDRION_DIRNAME . '/' . 'cache/'
-//OLEDRION_PICTURES_URL
-//OLEDRION_SUMMARY_MAXLENGTH
-//OLEDRION_STRING_TO_JOIN_MANUFACTURERS
-
-// Classes for plugins
-//require_once OLEDRION_CLASS_PATH . 'Plugin.php'; // Main class
-//require_once OLEDRION_PLUGINS_PATH . 'models/Action.php'; // model
-//require_once OLEDRION_PLUGINS_PATH . 'models/Filter.php'; // model
-
-// Les classes métier ou utilitaires (non ORM)
-//require_once OLEDRION_CLASS_PATH . 'Utility.php';
-//require_once OLEDRION_CLASS_PATH . 'HandlerManager.php';
-//require_once OLEDRION_CLASS_PATH . 'Parameters.php';
-//require_once OLEDRION_CLASS_PATH . 'Currency.php';
-//require_once OLEDRION_CLASS_PATH . 'Shelf.php';
-//require_once OLEDRION_CLASS_PATH . 'ShelfParameters.php';
-//require_once OLEDRION_CLASS_PATH . 'oledrion_reductions.php';
-//require_once OLEDRION_CLASS_PATH . 'Gateways.php';
-//require_once OLEDRION_ADMIN_PATH . 'gateways/gateway.php'; // Abstract class
-//require_once OLEDRION_CLASS_PATH . 'Lists.php';
-//require_once OLEDRION_CLASS_PATH . 'Sms.php';
-
 $oledrionHandlers = Oledrion\HandlerManager::getInstance();
 
 $myts = \MyTextSanitizer::getInstance();
@@ -235,7 +186,6 @@
 $vatHandler             = new Oledrion\VatHandler($db);
 $vendorsHandler         = new Oledrion\VendorsHandler($db);
 $votedataHandler        = new Oledrion\VotedataHandler($db);
-// Added by voltan
 $attributesHandler       = new Oledrion\AttributesHandler($db);
 $caddyAttributesHandler  = new Oledrion\CaddyAttributesHandler($db);
 $deliveryHandler         = new Oledrion\DeliveryHandler($db);
@@ -252,15 +202,6 @@
 $shelfParameters = new Oledrion\ShelfParameters(); // Parameters of the facade
 
 // Definition of Images
-if (!defined('_OLEDRION_EDIT')) {
-    //    global $xoopsConfig;
-    //    if (file_exists(OLEDRION_PATH . 'language/' . $xoopsConfig['language'] . '/main.php')) {
-    //        include OLEDRION_PATH . 'language/' . $xoopsConfig['language'] . '/main.php';
-    //    } else {
-    //        include OLEDRION_PATH . 'language/english/main.php';
-    //    }
-    //    $helper->loadLanguage('main');
-}
 
 $pathIcon16 = \Xmf\Module\Admin::iconUrl('', 16);
 
@@ -281,17 +222,6 @@
 
 // Loading some preferences
 $mod_pref = [
-    //        'money_short'     => Oledrion\Utility::getModuleOption('money_short'),
-    //        'money_full'      => Oledrion\Utility::getModuleOption('money_full'),
-    //        'url_rewriting'   => Oledrion\Utility::getModuleOption('urlrewriting'),
-    //        'tooltip'         => Oledrion\Utility::getModuleOption('infotips'),
-    //        'advertisement'   => Oledrion\Utility::getModuleOption('advertisement'),
-    //        'rss'             => Oledrion\Utility::getModuleOption('use_rss'),
-    //        'nostock_msg'     => Oledrion\Utility::getModuleOption('nostock_msg'),
-    //        'use_price'       => Oledrion\Utility::getModuleOption('use_price'),
-    //        'restrict_orders' => Oledrion\Utility::getModuleOption('restrict_orders'),
-    //        'isAdmin'         => Oledrion\Utility::isAdmin()
-
     'money_short'     => $helper->getConfig('money_short'),
     'money_full'      => $helper->getConfig('money_full'),
     'url_rewriting'   => $helper->getConfig('urlrewriting'),
@@ -304,9 +234,6 @@
     'isAdmin'         => $helper->isUserAdmin(),
 ];
 
-//$pathModIcon16 = $helper->getModule()->getInfo('modicons16');
-//$pathModIcon32 = $helper->getModule()->getInfo('modicons32');
-
 $icons2 = [
     'edit'    => "<img src='" . $pathIcon16 . "/edit.png'  alt=" . _EDIT . "' align='middle'>",
     'delete'  => "<img src='" . $pathIcon16 . "/delete.png' alt='" . _DELETE . "' align='middle'>",
diff -ruN oledrion-2.35_RC1/language/english/mail_template/command_client.tpl oledrion-2.35_RC2/language/english/mail_template/command_client.tpl
--- oledrion-2.35_RC1/language/english/mail_template/command_client.tpl	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/language/english/mail_template/command_client.tpl	2019-12-13 14:50:02.001946976 -0500
@@ -13,6 +13,7 @@
 Telephone : {TELEPHONE}
 Email : {EMAIL}
 Invoice wanted ? {FACTURE}
+Note to Vendor : {NOTE}
 
 Details of your order :
 Product's Title                                                  SKU    Price      Shipping
diff -ruN oledrion-2.35_RC1/language/english/mail_template/command_shop.tpl oledrion-2.35_RC2/language/english/mail_template/command_shop.tpl
--- oledrion-2.35_RC1/language/english/mail_template/command_shop.tpl	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/language/english/mail_template/command_shop.tpl	2019-12-13 14:50:02.002946565 -0500
@@ -12,6 +12,8 @@
 country : {PAYS}
 Telephone : {TELEPHONE}
 Email : {EMAIL}
+Note to Vendor : {NOTE}
+
 Invoice wanted : {FACTURE}
 
 
diff -ruN oledrion-2.35_RC1/language/english/main.php oledrion-2.35_RC2/language/english/main.php
--- oledrion-2.35_RC1/language/english/main.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/language/english/main.php	2019-12-13 14:50:02.005945334 -0500
@@ -190,13 +190,13 @@
 define('_OLEDRION_DETAILS_EMAIL', 'You will receive the details of your order by email');
 define('_OLEDRION_PLEASE_ENTER', 'Please enter the following information to validate your checkout');
 define('_OLEDRION_STREET', 'Street');
+define('_OLEDRION_NOTE', 'Note to Vendor');
 define('_OLEDRION_CP', 'Post code');
 define('_OLEDRION_CITY', 'City');
 define('_OLEDRION_COUNTRY', 'Country');
 define('_OLEDRION_PHONE', 'Phone number');
 define('_OLEDRION_INVOICE', 'Do you want an invoice?');
 define('_OLEDRION_COPY_COUNT', 'copy');
-// B.R. define('_OLEDRION_THANKYOU_CMD', 'Thank you for your order on the website %s');
 define('_OLEDRION_THANKYOU_CMD', 'Thank you for your purchase from %s');
 define('_OLEDRION_NEW_COMMAND', 'New purchase on the site');
 define('_OLEDRION_COMMAND', 'Command ');
@@ -317,13 +317,10 @@
 define('_OLEDRION_STEP_1', '1- Add to cart');
 define('_OLEDRION_STEP_2', '2- Input personal information');
 define('_OLEDRION_STEP_3', '3- Confirm information');
-
 define('_OLEDRION_TRACK', 'Tracking Code');
 define('_OLEDRION_GIFT', 'Gift Cards');
 define('_OLEDRION_PACK', 'Package');
 define('_OLEDRION_SUBMIT', 'Submit');
-
-// B.R. New
 define('_OLEDRION_SKIP_PACKING', 'Skip Packing step during checkout?');
 define('_OLEDRION_SKIP_LOCATION', 'Skip Location step during checkout?');
 define('_OLEDRION_SKIP_DELIVERY', 'Skip Delivery (shipping) step during checkout?');
diff -ruN oledrion-2.35_RC1/language/persian/main.php oledrion-2.35_RC2/language/persian/main.php
--- oledrion-2.35_RC1/language/persian/main.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/language/persian/main.php	2019-12-13 14:50:02.011942869 -0500
@@ -189,6 +189,7 @@
 define('_OLEDRION_DETAILS_EMAIL', 'شما اطلاعات سفارش خود را به وسیلهٔ پست الکترونیکی دریافت خواهید کرد');
 define('_OLEDRION_PLEASE_ENTER', 'لطفا اطلاعات زیر را برای بررسی سفارش تمکیل نمایید .');
 define('_OLEDRION_STREET', 'آدرس');
+define('_OLEDRION_NOTE', 'Note to Vendor');
 define('_OLEDRION_CP', 'کد پستی');
 define('_OLEDRION_CITY', 'شهر');
 define('_OLEDRION_COUNTRY', 'کشور');
@@ -333,7 +334,6 @@
 define('_OLEDRION_TRACK', 'کد رهگیری پستی');
 define('_OLEDRION_GIFT', 'کد کارت هدیه');
 
-// B.R. New
 define('_OLEDRION_SKIP_PACKING', 'Skip Packing step during checkout?');
 define('_OLEDRION_SKIP_LOCATION', 'Skip Location step during checkout?');
 define('_OLEDRION_SKIP_DELIVERY', 'Skip Delivery (shipping) step during checkout?');
diff -ruN oledrion-2.35_RC1/sql/mysql.sql oledrion-2.35_RC2/sql/mysql.sql
--- oledrion-2.35_RC1/sql/mysql.sql	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/sql/mysql.sql	2019-12-15 05:52:41.188700103 -0500
@@ -55,7 +55,7 @@
   `product_unitmeasure2`    VARCHAR(20)           NOT NULL DEFAULT '',
   `product_vat_id`          MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
   `product_download_url`    VARCHAR(255)          NOT NULL DEFAULT '',
-  `product_recommended`     DATETIME              NOT NULL DEFAULT CURRENT_TIMESTAMP,
+  `product_recommended`     DATETIME              NOT NULL DEFAULT '1970-01-01 00:00:01',
   `product_metakeywords`    VARCHAR(255)          NOT NULL DEFAULT '',
   `product_metadescription` VARCHAR(255)          NOT NULL DEFAULT '',
   `product_metatitle`       VARCHAR(255)          NOT NULL DEFAULT '',
@@ -140,6 +140,7 @@
   `cmd_lastname`       VARCHAR(255)          NOT NULL DEFAULT '',
   `cmd_firstname`      VARCHAR(255)          NOT NULL DEFAULT '',
   `cmd_adress`         TEXT,
+  `cmd_note`           TEXT,
   `cmd_zip`            VARCHAR(30)           NOT NULL DEFAULT '',
   `cmd_town`           VARCHAR(255)          NOT NULL DEFAULT '',
   `cmd_country`        VARCHAR(3)            NOT NULL DEFAULT '',
@@ -476,3 +477,20 @@
   KEY `log_status` (`log_status`)
 )
   ENGINE = InnoDB;
+
+# Populate db with data, reasons
+# TODO: sort out why missing / update errors
+# This entry is neccessary for paypal/gateway checkout completion,
+#   but does not have UI and not set anywhere
+
+INSERT INTO oledrion_delivery_payment(dp_id, dp_delivery, dp_payment) VALUES (1,1,1);
+
+# These entries result in (UI) failed save due to missing image file
+#  Config/Packing, Config/Delivery
+INSERT INTO oledrion_packing(packing_id, packing_title, packing_width, packing_length, packing_weight,
+ packing_image, packing_description, packing_price, packing_online)
+ VALUES (1,"None","","","","","",0.00,1);
+INSERT INTO oledrion_delivery(delivery_id, delivery_title, delivery_description, delivery_online,
+ delivery_image)
+ VALUES (1,"Free","",1,"");
+
diff -ruN oledrion-2.35_RC1/update_sales.php oledrion-2.35_RC2/update_sales.php
--- oledrion-2.35_RC1/update_sales.php	1969-12-31 19:00:00.000000000 -0500
+++ oledrion-2.35_RC2/update_sales.php	2019-12-15 04:29:37.153577101 -0500
@@ -0,0 +1,23 @@
+<?php
+
+/*
+  This function is intended to update external e-commerce databases, etc when a product is sold
+  It is called by modules/oledrion/class/Gateways/Paypal/PaypalGateway.php upon verified sale
+  It must be placed outside of document_root and full path specified by config - "OLEDRION_DB_UPDATE_SCRIPT"
+  This function must return quickly, since it is in paypal callback which must complete within 30 seconds
+  It takes (observed) max 2 seconds to get here, exits after. Log will give you total transaction time
+*/
+
+defined('XOOPS_ROOT_PATH') || exit('Restricted access');
+
+// @int    $product_id
+// @string $user_id (email address, DB key)
+// @string $transaction_id (from gateway)
+// @$ret   Results string (goes to gateway log)
+
+function updateDB($product_id, $user_id, $transaction_id ) {
+	// Do your stuff
+	$ret .= sprintf("Updated user: %s, Product: %s, Transaction: %s\n", $user_id, $product_id, $transaction_id);
+	return $ret;
+}
+?>
diff -ruN oledrion-2.35_RC1/xoops_version.php oledrion-2.35_RC2/xoops_version.php
--- oledrion-2.35_RC1/xoops_version.php	2019-05-19 13:46:50.000000000 -0400
+++ oledrion-2.35_RC2/xoops_version.php	2019-12-13 14:50:01.990951494 -0500
@@ -46,7 +46,7 @@
 $modversion['module_website_url']  = 'www.xoops.org';
 $modversion['module_website_name'] = 'XOOPS';
 $modversion['min_php']             = '5.5';
-$modversion['min_xoops']           = '2.5.10';
+$modversion['min_xoops']           = '2.5.9';
 $modversion['min_admin']           = '1.2';
 $modversion['min_db']              = ['mysql' => '5.5'];
 
